古川です。遅くなってすみません。

>XFree86 3.xですか?

XFree86 3.3.4 です。

>結果を言ってしまうと、どの *.rbでも leakが見れなくなってしまいました。で、
>関係あるものと言えば Xを 3.9.xにしたぐらいしか思いだせないんですよねぇ‥‥。
>
>とりあえず、Rubyでも Ruby/GL moduleでもないと思うんですがどうでしょう?

(省略)

>> # IRIX でリークしてないように見えるのはなぜだろう ?
>
>と、なれば、↑これも納得できるかなと‥。

なるほど、確かにそう考えるのが自然のような ...
そうしないと IRIX でのことが説明できないし。

# 白状すると OS の問題かなとかも考えてました、はずかしい ...
# ちなみに FreeBSD 3.1-RELEASE + XFree86 3.3.5 でもリークしたので
# OS の問題ではないですね

「Ruby に問題があるのでは?」と発言した以上、責任をもって
やすしさんのメールの追試を行うわなければならないのですが、
今手元に X を入れかえることのできる環境がないため、
追試はしばらく保留させて下さい。 > やすしさん、まつもとさん

--------
古川大介